SWELLってどんなテーマ? SWELLを知る

WordPress5.5にアップデートしたら【このブロックでエラーが発生したためプレビューできません。】と表示されてしまう原因と対策

こんな疑問やお悩みにお応えします!
  • WordPressを最新の5.5にアップデートしたら編集画面にエラーが表示されて文章を入力できなくなった。
  • 何が原因なのか?
Himです♪
@himlog_com

WordPress5.5にアップデートしたところ、上記画像のように

【このブロックでエラーが発生したためプレビューできません。右側のメニューボタンから「ブロックのリカバリーを試行」を試してみてください。】

と表示され、記事が書けなくなってしまいました。

記事の内容

【解決】プラグイン 「マーカーアニメーション」を無効化する

当ブログはブロックエディタ完全対応のWordPressテーマSWELLを使っています。

SWELLにする以前から使っていたマーカーアニメーションという動く蛍光ペンのようなマーカーのプラグインを無効化してみたところ、この不具合は解消されました!

マーカーアニメーションは2019年7月15日に公開停止されておりました。

Himのアイコン画像Him

全部の記事にこのマーカーアニメーションを使っていたためSWELL標準マーカーへの書き換え作業が大変でした。

マーカーアニメーションに限らず、WordPressの最新バージョンに対応していないプラグインは使用を控えましょう。

WordPressテーマSWELL標準マーカーの種類

SWELLのマーカーは動くマーカーではないけれど、細線・太線・細ストライプ・ストライプと4種類あってカラーも変更可能なので、現在はこちらで満足しています。

  • ブロックエディタ完全対応
  • 他テーマからの移行も簡単
  • 初心者でも安心
当ブログはSWELLのブロックエディタで作成しています。

以上、WordPress5.5にアップデートしたら【このブロックでエラーが発生したためプレビューできません。】と表示されてしまう原因と対策でした!

この記事が気に入ったら
フォローしてね!

よかったらシェアしてね!
記事の内容
閉じる